### Method

# Gio SocketControlMessage get_msg_type

since: 2.22

#### Declaration

    int
    g_socket_control_message_get_msg_type (
      GSocketControlMessage* message
    )

#### Description

Returns the protocol specific type of the control message. For instance, for UNIX fd passing this would be SCM_RIGHTS.

Available since: 2.22

#### Return value

Type: `int`

An integer describing the type of control message.